Makro VyrovnejDrát

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Macro FlattenWire and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎svenska • ‎čeština

Macro FlattenWire.png FlattenWire

Popis
Toto makro vyrovnává vodiče průvanu, které nejsou rovinné k jejich středové souřadnici Z

Version macro : 1.0
Date last modification : 2011-08-01
FreeCAD version : All
Download : ToolBar Icon
Autor
Yorik
Download
ToolBar Icon
Odkazy
Verze
1.0
Datum poslední úpravy
2011-08-01
Verze FreeCAD
All
Výchozí zástupce
None
Viz též
None


Deskriptivní

Toto makro vyrovná nakreslený drát, který není vyrovnán (není v jedné rovině), do roviny, která odpovídá střední výšce nevyrovnaných drátů.

Skript

ToolBar Icon Macro FlattenWire.png

Macro_FlattenWire.FCMacro

import FreeCAD
obj = FreeCAD.ActiveDocument.ActiveObject
z = 0
for p in obj.Points: z += p.z
z = z/len(obj.Points)
newpoints = []
for p in obj.Points: newppoints.append(FreeCAD.Vector(p.x,p.y,z))
obj.Points = newppoints